2 Replies Latest reply: Nov 9, 2013 12:12 PM by jschellSomeoneStoleMyAlias RSS

    JDBC 4.0 Driver Compatability with Java 6 update 29.

    1e1c74f5-8502-45f0-962f-9bb1934675ef

      Hello,

       

      I'd like to get some ideas from you guys regarding an issue I'm having with the JDBC driver I'm trying to use at work to launch SQL stored procedures. I'm using Microsoft JDBC 4.0 driver but I've found out that it is not compatible with Java 6 update 29. Unfortunately, my company IT department only supports this java version so I'm stuck with using that for the time being. I know that I can get my Java program to work if I update the Java versions on user's machines or if I replace the jre/lib/security/jsse.jar file in their Java 6 v 29 installation from an older java install. Both of these solutions are not ones that I want to go with once my software update is put out for production use because it would require a lot of work to do this for all users, its against company policy to alter their Java, and people would complain that my software upgrade did not work out of the box.


      I would like to know if perhaps I can find an alternate or older JDBC driver that is compatible with Java 6 update 29?


      Thanks,

      Javier


      Related articles:

      http://social.msdn.microsoft.com/Forums/sqlserver/en-US/97dce8fd-6487-4bca-80b0-492167db3e0d/sql-server-jdbc-20-or-30-does-not-work-in-jboss-with-java-16029?forum=sqldataaccess


      MS SQL JDBC does not work with 1.6.0_29?